## ros-jazzy-rmw-cyclonedds-cpp 2.2.1

=== debian/changelog ===
ros-jazzy-rmw-cyclonedds-cpp (2.2.1-2bookworm) bookworm; urgency=high

  * Set received_timestamp to system_clock::now() in message_info (#491 <https://github.com/ros2/rmw_cyclonedds/issues/491>) (#493 <https://github.com/ros2/rmw_cyclonedds/issues/493>)
    * Set received_timestamp to steady_clock::now() in message_info
    * Use 'system_clock' instead of 'steady_clock'
    * Also update receive_timestamp for services.
    (cherry picked from commit 76c9d8f38a03d160b258902af6d1d06f6ed9391e)
    Co-authored-by: Michael Orlov <mailto:morlovmr@gmail.com>
  * Contributors: mergify[bot]

 -- Erik Boasson <erik.boasson@adlinktech.com>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (2.2.0-2bookworm) bookworm; urgency=high

  * Add tracepoint for publish/subscribe serialized message (#485 <https://github.com/ros2/rmw_cyclonedds/issues/485>)
    Co-authored-by: eboasson <mailto:eb@ilities.com>
  * Contributors: h-suzuki-isp

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 08 Apr 2024 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (2.1.1-2bookworm) bookworm; urgency=high

  * Remove a bunch of unnecessary macros. (#482 <https://github.com/ros2/rmw_cyclonedds/issues/482>)
  * compare string contents but string pointer addresses. (#481 <https://github.com/ros2/rmw_cyclonedds/issues/481>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (2.1.0-2bookworm) bookworm; urgency=high

  * Add timestamp to rmw_publish tracepoint (#454 <https://github.com/ros2/rmw_cyclonedds/issues/454>)
  * Contributors: Christopher Wecht

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (2.0.0-2bookworm) bookworm; urgency=high

  * avoid using dds common public mutex directly (#474 <https://github.com/ros2/rmw_cyclonedds/issues/474>)
  * Contributors: Chen Lihui

 -- Erik Boasson <erik.boasson@adlinktech.com>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.10.0-2bookworm) bookworm; urgency=high

  * Add rmw count clients,services impl (#427 <https://github.com/ros2/rmw_cyclonedds/issues/427>)
  * Minor revamp of the CMakeLists.txt. (#468 <https://github.com/ros2/rmw_cyclonedds/issues/468>)
  * Contributors: Chris Lalancette, Minju, Lee

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.9.0-2bookworm) bookworm; urgency=high

  * Clear out errors once we have handled them. (#464 <https://github.com/ros2/rmw_cyclonedds/issues/464>)
  * Instrument loaned message publication code path
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Erik Boasson <erik.boasson@adlinktech.com>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.8.0-2bookworm) bookworm; urgency=high

  * Use TRACETOOLS_ prefix for tracepoint-related macros (#450 <https://github.com/ros2/rmw_cyclonedds/issues/450>)
  * Contributors: Christophe Bedard

 -- Erik Boasson <erik.boasson@adlinktech.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.7.0-2bookworm) bookworm; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.6.0-2bookworm) bookworm; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_cyclonedds (#451 <https://github.com/ros2/rmw_cyclonedds/issues/451>)
  * Add stubs for new rmw interfaces (#447 <https://github.com/ros2/rmw_cyclonedds/issues/447>)
  * [rmw_cyclonedds] Improve handling of dynamic discovery (#429 <https://github.com/ros2/rmw_cyclonedds/issues/429>)
  * Call get_type_hash_func (#448 <https://github.com/ros2/rmw_cyclonedds/issues/448>)
  * Type hash distribution in discovery (rep2011) (#437 <https://github.com/ros2/rmw_cyclonedds/issues/437>)
  * Disable inconsistent topic events. (#444 <https://github.com/ros2/rmw_cyclonedds/issues/444>)
  * Implement matched event (#435 <https://github.com/ros2/rmw_cyclonedds/issues/435>)
  * Implement inconsistent topic. (#431 <https://github.com/ros2/rmw_cyclonedds/issues/431>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, methylDragon

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.5.1-2bookworm) bookworm; urgency=high

  * Make sure to add semicolons to the CHECK_TYPE_IDENTIFIER_MATCH. (#432 <https://github.com/ros2/rmw_cyclonedds/issues/432>)
  * [rolling] Update maintainers - 2022-11-07 (#428 <https://github.com/ros2/rmw_cyclonedds/issues/428>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.5.0-2bookworm) bookworm; urgency=high

  * Export CycloneDDS dependency (#424 <https://github.com/ros2/rmw_cyclonedds/issues/424>)
  * add NULL check before accessing object. (#423 <https://github.com/ros2/rmw_cyclonedds/issues/423>)
  * Add rmw_get_gid_for_client impl (#402 <https://github.com/ros2/rmw_cyclonedds/issues/402>)
  * Makes topic_name a const ref
  * Adds topic name to error msg when create_topic fails
  * Contributors: Brian, Shane Loretz, Tomoya Fujita, Tully Foote, Voldivh

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.4.1-2bookworm) bookworm; urgency=high

  * Improve error message when create_topic fails (#405 <https://github.com/ros2/rmw_cyclonedds/issues/405>)
  * Change wrong use of %d to print uint32_t to PRIu32 (#253 <https://github.com/ros2/rmw_cyclonedds/issues/253>)
  * Add cstring include. (#393 <https://github.com/ros2/rmw_cyclonedds/issues/393>)
  * Contributors: Chris Lalancette, Shane Loretz, eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rmw-cyclonedds-cpp (1.4.0-2bookworm) bookworm; urgency=high


