=== debian/control ===
Source: ros-jazzy-rmw-cyclonedds-cpp
Section: misc
Priority: optional
Maintainer: Erik Boasson <erik.boasson@adlinktech.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-cyclonedds, ros-jazzy-iceoryx-binding-c, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rmw-dds-common, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-typesupport-introspection-c, ros-jazzy-rosidl-typesupport-introspection-cpp, ros-jazzy-tracetools, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmw-cyclonedds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-cyclonedds, ros-jazzy-iceoryx-binding-c, ros-jazzy-rcpputils, ros-jazzy-rcutils, ros-jazzy-rmw, ros-jazzy-rmw-dds-common, ros-jazzy-rosidl-runtime-c, ros-jazzy-rosidl-typesupport-introspection-c, ros-jazzy-rosidl-typesupport-introspection-cpp, ros-jazzy-tracetools, ros-jazzy-ros-workspace
Description: Implement the ROS middleware interface using Eclipse CycloneDDS in C++.
